Bug 1568878 - [downstream clone - 4.1.11] No exception's handling on SerialChildCommandsExecutionCallback
Summary: [downstream clone - 4.1.11] No exception's handling on SerialChildCommandsExe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.1.11
: ---
Assignee: shani
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1563121
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 11:10 UTC by RHV bug bot
Modified: 2019-04-28 10:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1563121
Environment:
Last Closed: 2019-02-22 09:55:23 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 89726 0 master MERGED core: SerialChildCommandsExecutionCallback exception handling 2020-11-05 08:31:24 UTC
oVirt gerrit 89770 0 ovirt-engine-4.1 MERGED core: SerialChildCommandsExecutionCallback exception handling 2020-11-05 08:31:06 UTC
oVirt gerrit 89771 0 ovirt-engine-4.2 MERGED core: SerialChildCommandsExecutionCallback exception handling 2020-11-05 08:31:06 UTC

Description RHV bug bot 2018-04-18 11:10:28 UTC
+++ This bug is an upstream to downstream clone. The original bug is: +++
+++   bug 1563121 +++
======================================================================

Description of problem:
In case of getting an exception at childCommandsExecutionEnded#serialChildExecutingCommand.performNextOperation(completedChildren), it's not logged on the engine.log.
In addition, current code has 3 placeholders for 4 arguments, so the last one is being ignored.

Version-Release number of selected component (if applicable):
master - 0c907f230e

How reproducible:
100%

Steps to Reproduce:
1. Throw an exception at serialChildExecutingCommand.performNextOperation(completedChildren)

Actual results:
2018-04-03 10:51:39,037+03 INFO  [org.ovirt.engine.core.bll.SerialChildCommandsExecutionCallback] (EE-ManagedThreadFactory-engineScheduled-Thread-60) [48e6c155-fadb-4577-8cf1-c9876e447dd9] Command 'CreateSnapshotForVm' id: '5704fd4c-f0b5-4950-a38a-535392ad22d3' failed when attempting to perform the next operation, marking as FAILED '[06ad2307-0b46-487a-beea-25a527474a02]'
2018-04-03 10:51:49,625+03 INFO  [org.ovirt.engine.core.bll.SerialChildCommandsExecutionCallback] (EE-ManagedThreadFactory-engineScheduled-Thread-60) [48e6c155-fadb-4577-8cf1-c9876e447dd9] Command 'CreateSnapshotForVm' id: '5704fd4c-f0b5-4950-a38a-535392ad22d3' child commands '[06ad2307-0b46-487a-beea-25a527474a02]' executions were completed, status 'FAILED'

Expected results:
The error should be logged properly:

2018-04-02 18:29:48,483+03 ERROR [org.ovirt.engine.core.bll.SerialChildCommandsExecutionCallback] (EE-ManagedThreadFactory-engineScheduled-Thread-15) [54572893-8e69-440d-92c4-b4872ad90d57] Command 'CreateSnapshotForVm' id: '04317ab9-8d26-4b02-82ba-8b4213c008a7' children [ab274fe6-922e-40b6-8eed-e9946206ddf1] failed when attempting to perform the next operation, marking as FAILED 'FAILED'
2018-04-02 18:29:48,484+03 ERROR [org.ovirt.engine.core.bll.SerialChildCommandsExecutionCallback] (EE-ManagedThreadFactory-engineScheduled-Thread-15) [54572893-8e69-440d-92c4-b4872ad90d57] MyException: java.lang.Exception: MyExcepetion!
	at org.ovirt.engine.core.bll.SerialChildCommandsExecutionCallback.childCommandsExecutionEnded(SerialChildCommandsExecutionCallback.java:36) [bll.jar:]
...

Additional info:
-

(Originally by Shani Leviim)

Comment 1 RHV bug bot 2018-04-18 11:10:36 UTC
While this bug has very little functional impact (the command fails regardless), the current log lacks a lot of information and makes debugging issues quite difficult.

Moreover, the proposed fix seems quite minimal and safe.

Proposing to backport this fix all the way down to 4.1.11, to help debugging issues in the field easier.

(Originally by Allon Mureinik)

Comment 7 Kevin Alon Goldblatt 2018-04-24 13:59:36 UTC
Based on Comment 6,

This was tested on development environment. Exception was thrown using internal fix. Exception is handled

Moving to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.